%define name 	openclit
%define version 12
%define release 1mdk

Summary:   OpenCLit is a program to convert .lit files to .opf
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{version}.tar.bz2
License:   GPL
Group:     Publishing
BuildRoot: %{_tmppath}/%{name}-buildroot
Url:       http://members.lycos.co.uk/hostintheshell/

%description
OpenCLit converts ebooks from the proprietary Microsoft .lit format
to the Open eBook format. There are no programs that can read .lit 
books for linux (or anything but recent versions of Windows and
PocketPC), so this is the only way to read .lit files. 

Unfortunately, the only programs that can handle Open eBook files on
linux are closed source (e.g., Opera), but the .opf file is an XML
document, and the actual text and graphics are stored in standard
formats like html and jpg.

%prep
%setup -q -n the_clit

%build
chmod +x clit12 lib orphan clit12/drm5 lib/des lib/lzx lib/sha
cd lib
make
cd ../clit12
make

%install
rm -rf $RPM_BUILD_ROOT
install -D -m755 clit12/clit12 $RPM_BUILD_ROOT/%_bindir/clit

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README clit12/BUGS clit12/CHANGES 
%_bindir/clit

%changelog
* Wed Jul 9 2003 Austin Acton <aacton@yorku.ca> 12-1mdk 
- from andi payn <payn@myrealbox.com> :
  - Initial specfile
